import * as echarts from 'echarts/core';
import { BarSeriesOption, LineSeriesOption, ScatterSeriesOption, PieSeriesOption, TreemapSeriesOption, RadarSeriesOption, SankeySeriesOption } from 'echarts/charts';
import { TitleComponentOption, TooltipComponentOption, GridComponentOption, MarkLineComponentOption, AxisPointerComponentOption, VisualMapComponentOption, RadarComponentOption, PolarComponentOption, DataZoomComponentOption } from 'echarts/components';
import { ValueAxisBaseOption, CategoryAxisBaseOption } from 'echarts/types/src/coord/axisCommonTypes';
export type ECOption = echarts.ComposeOption<TreemapSeriesOption | BarSeriesOption | LineSeriesOption | TitleComponentOption | TooltipComponentOption | GridComponentOption | ScatterSeriesOption | PieSeriesOption | MarkLineComponentOption | AxisPointerComponentOption | VisualMapComponentOption | RadarSeriesOption | RadarComponentOption | PolarComponentOption | DataZoomComponentOption | SankeySeriesOption>;
export type EChartsOption = ECOption & {
    xAxis?: Array<CategoryAxisBaseOption | ValueAxisBaseOption>;
    yAxis?: ValueAxisBaseOption[];
};
export default echarts;
//# sourceMappingURL=echarts.config.d.ts.map